

class Player:
    
    def __init__(self, user_id, rail_start_x, rail_start_y, rail_stop_x, rail_stop_y) -> None:
        self.user_id = user_id
        self.position = 0.5
        self.nb_goal = 0
        
        self.rail_start_x = rail_start_x
        self.rail_start_y = rail_start_y
        self.rail_stop_x = rail_stop_x
        self.rail_stop_y = rail_stop_y
        
    def to_dict(self):
        
        data = {
            "user_id": self.user_id,
            "position": self.position,
            "nb_goal": self.nb_goal,
            
            "rail_start_x": self.rail_start_x,
            "rail_start_y": self.rail_start_y,
            "rail_stop_x": self.rail_stop_x,
            "rail_stop_y": self.rail_stop_y,
        }
        
        return data